Terraria 1.4 can not connect due to wrong versions.